### Property

# GWeather Info:application-id

#### Declaration

    property application-id: utf8 [ read, write ]

#### Description [src]

A unique identifier, typically in the form of reverse DNS notation, for the application that is querying the weather information.

Weather providers require this information.

Type:`gchar*`

Default value | NULL
Getter method | `gweather_info_get_application_id()`
Setter method | `gweather_info_set_application_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no